#blog {
  margin-top: 3.8rem;
  margin-bottom: 3.5rem;
}
#blog .card {
  padding-top: 2rem;
}
#blog .card-image {
  max-width: 28rem;
  margin: auto;
}
#blog .card-content {
  padding: 0 5rem 6rem 5rem;
  font-size: 1.2rem;
  line-height: 1.8rem;
}
#blog .card-content .subtitle {
  font-size: 1.1rem;
  margin-bottom: 5rem;
}
#blog .date-published {
  font-size: 1rem;
  color: #555555;
  margin-top: 7rem;
}
#blog .references {
  font-size: 1rem;
  color: #555555;
  font-style: italic;
}
#blog .references a:hover {
  text-decoration: underline;
}
#blog .table {
  margin: auto;
}

.page-heading {
  text-align: center;
  margin-bottom: 2rem;
}
.page-heading h1 {
  margin-top: 1rem;
  padding-bottom: 0.5rem;
  font-size: 4rem;
  font-weight: 700;
  color: #0b5048;
  font-family: 'Caveat', cursive;
  font-optical-sizing: auto;
}
.page-body .title {
  color: #0b5048;
}
.page-body h3 .title {
  margin-top: 4rem;
}

pre {
  white-space: pre-wrap;
  word-wrap: break-word;
  overflow-x: hidden;
}

code {
  white-space: pre-wrap;
  word-wrap: break-word;
}

.dark-mode .navbar .navbar-brand .title {
  color: #1a202c;
}
.dark-mode .card {
  background-color: #2d3748 !important;
  color: #e2e8f0;
}

.dark-mode .subtitle {
  color: #e2e8f0;
}
.dark-mode .title {
  color: #63b3ed;
}

#demo-toggle-light {
  margin-top: 75%;
}

@media only screen and (max-width: 600px) {
  #blog {
    margin-top: 8.5rem;
    margin-bottom: 2rem;
  }
  #blog .card-content {
    padding: 0 1.5rem 3rem 1.5rem;
    font-size: 1rem;
    line-height: 1.6rem;
  }
  #blog .card-content .subtitle {
    font-size: 1rem;
    margin-bottom: 3rem;
  }
  #blog .date-published {
    font-size: 0.9rem;
  }
  .page-heading h1 {
    font-size: 2rem;
  }
  #demo-toggle-light {
    margin-top: 0;
  }
}
